とみたです。

At Fri, 18 Aug 2000 09:53:18 +0900,
西山敏博 <nisiyama / genech.co.jp> wrote:

> いつもお世話になります.総合技研サービス、西山です.
> 
> Postgresql用のモジュール使用したいと考え、ソースをコンパイル&インス
> トールしたまでは、うまくいったのですが、
> 
> require "postgres"
> 
> としますと、No such directory libpq.so.2.0 なるエラーが発生いたしま
> す。configureは、きちんと、
> ruby extconf.rb --with-pgsql-lib-dir=/usr/local/pgsql/libとして、設定
> しているのですが。

LD_RUN_PATH 環境変数は効かないですかね?

	% ruby extconf.rb --with-pgsql-lib-dir=/usr/local/pgsql/lib
	% env LD_RUN_PATH=/usr/local/pgsql/lib make

--
とみたまさひろ <tommy / tmtm.org> http://www.tmtm.org
日本MySQLユーザ会 http://www.mysql.gr.jp